Debian Bug report logs - #311058
login: pam_limits.so in pam.d/su breaks "nice su -c foo bar"

version graph

Package: libpam-modules; Maintainer for libpam-modules is Steve Langasek <vorlon@debian.org>; Source for libpam-modules is src:pam.

Reported by: Andreas Metzler <ametzler@downhill.at.eu.org>

Date: Sat, 28 May 2005 08:03:02 UTC

Severity: normal

Tags: patch

Merged with 241663

Found in version 0.76-16

Fixed in version pam/0.79-4

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#311058; Package login. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
New Bug report received and forwarded. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: login: pam_limits.so in pam.d/su breaks "nice su -c foo bar"
Date: Sat, 28 May 2005 09:58:02 +0200
Package: login
Version: 1:4.0.3-31sarge5
Severity: normal

This change
  * Make login and su use limits.so PAM module by default
    Closes: #300720

breaks stuff like this:
nice -n 19 su -c "somecommand" someuser
because pam_limits.so resets the nice value to 0 even if
/etc/security/limits.conf is empty.

See <http://bugs.debian.org/241663>.

           cu andreas

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-k7
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)

Versions of packages login depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libpam-modules              0.76-22      Pluggable Authentication Modules f
ii  libpam-runtime              0.76-22      Runtime support for the PAM librar
ii  libpam0g                    0.76-22      Pluggable Authentication Modules l

-- no debconf information
-- 
"See, I told you they'd listen to Reason," [SPOILER] Svfurlr fnlf,
fuhggvat qbja gur juveyvat tha.
Neal Stephenson in "Snow Crash"
                                           http://downhill.aus.cc/



Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#311058; Package login. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 311058@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Andreas Metzler <ametzler@downhill.at.eu.org>, 311058@bugs.debian.org
Subject: Re: [Pkg-shadow-devel] Bug#311058: login: pam_limits.so in pam.d/su breaks "nice su -c foo bar"
Date: Sat, 28 May 2005 06:48:55 -0400
Quoting Andreas Metzler (ametzler@downhill.at.eu.org):
> Package: login
> Version: 1:4.0.3-31sarge5
> Severity: normal
> 
> This change
>   * Make login and su use limits.so PAM module by default
>     Closes: #300720
> 
> breaks stuff like this:
> nice -n 19 su -c "somecommand" someuser
> because pam_limits.so resets the nice value to 0 even if
> /etc/security/limits.conf is empty.
> 
> See <http://bugs.debian.org/241663>.


Well, indeed. But, here, aren't we more the victims of #241663 rather
than the responsible for the change of behaviour ?


I'm considering reassining this to libpam-modules and merge it with
241663





Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#311058; Package login. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 311058@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 311058@bugs.debian.org
Subject: Re: Bug#311058: login: pam_limits.so in pam.d/su breaks "nice su -c foo bar"
Date: Sat, 28 May 2005 14:34:51 +0200
On 2005-05-28 Christian Perrier <bubulle@debian.org> wrote:
> Quoting Andreas Metzler (ametzler@downhill.at.eu.org):
[...]
> >   * Make login and su use limits.so PAM module by default
> >     Closes: #300720
 
> > breaks stuff like this:
> > nice -n 19 su -c "somecommand" someuser
> > because pam_limits.so resets the nice value to 0 even if
> > /etc/security/limits.conf is empty.

> > See <http://bugs.debian.org/241663>.

> Well, indeed. But, here, aren't we more the victims of #241663 rather
> than the responsible for the change of behaviour ?

> I'm considering reassining this to libpam-modules and merge it with
> 241663

Hello,
I'd appreciate if this bug could stay assigned to login for
documentation purposes.

I agree with you that the proper fix is to change pam_limits, however
I doubt this is going to happen soon. - I'll leave up to your
judgement whether you consider this issue or #300720 more important.
             thanks, cu andreas

-- 
"See, I told you they'd listen to Reason," [SPOILER] Svfurlr fnlf,
fuhggvat qbja gur juveyvat tha.
Neal Stephenson in "Snow Crash"
                                           http://downhill.aus.cc/



Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#311058; Package login. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 311058@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Andreas Metzler <ametzler@downhill.at.eu.org>, 311058@bugs.debian.org
Subject: Re: [Pkg-shadow-devel] Bug#311058: login: pam_limits.so in pam.d/su breaks "nice su -c foo bar"
Date: Sat, 28 May 2005 09:06:52 -0400
tags 311058 wontfix
thanks

> I agree with you that the proper fix is to change pam_limits, however
> I doubt this is going to happen soon. - I'll leave up to your
> judgement whether you consider this issue or #300720 more important.


Well, at this moment, and given then input I had, I consider #300720
more important (it was important enough to justify an update in sarge
while the package was frozen).

Given that, at least now, there's no intent to do the only possible
change, I mark the bug as wontfix.

While writing this, I'm indeed wondering whether this could deserve
an entry in README.Debian so that the behaviour is documented.





Tags added: wontfix Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#311058; Package login. Full text and rfc822 format available.

Acknowledgement sent to Nicolas François <nicolas.francois@centraliens.net>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 311058@bugs.debian.org (full text, mbox):

From: Nicolas François <nicolas.francois@centraliens.net>
To: 311058@bugs.debian.org
Subject: Re: Bug#311058: login: pam_limits.so in pam.d/su breaks "nice su -c foo bar"
Date: Wed, 22 Jun 2005 23:02:57 +0200
Hi,

Just for the record, the following link may give some hope for a future
fix:
http://lwn.net/Articles/134460/

Best Regards,
-- 
Nekral



Information forwarded to debian-bugs-dist@lists.debian.org, Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>:
Bug#311058; Package login. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 311058@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 311058@bugs.debian.org, 241663@bugs.debian.org
Subject: Reassigning bug that definitely doesn't belong to shadow
Date: Wed, 10 May 2006 10:03:47 +0200
[Message part 1 (text/plain, inline)]
tags 311058 - wontfix
reassign 311058 libpam-modules
merge 311058 241663

The story of this bug report clearly shows that the correct fix is not
in shadow but rather in libpam-modules if its maintainer(s) decide
this should be fixed (see #241663).


The issue has been documented for enough time now and I believe this
is not the BTS job to document issues.

As a consequence, I reassign the bug to libpam-modules, merging with
#241663....which has a patch that probably deserves some
consideration, anyway.


-- 


[signature.asc (application/pgp-signature, inline)]

Tags removed: wontfix Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `login' to `libpam-modules'. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 241663 311058. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from vorlon@users.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from vorlon@users.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Sep 2007 07:29:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:46:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.